Bug 34501 - [PATCH] Update x11-toolkits/panel--
Summary: [PATCH] Update x11-toolkits/panel--
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-01-31 20:30 UTC by Joe Marcus Clarke
Modified: 2002-02-01 11:30 UTC (History)
0 users

See Also:


Attachments
file.diff (214 bytes, patch)
2002-01-31 20:30 UTC, Joe Marcus Clarke
no flags Details | Diff
file.diff (269 bytes, patch)
2002-01-31 20:30 UTC, Joe Marcus Clarke
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joe Marcus Clarke 2002-01-31 20:30:01 UTC
	Update panel-- to 0.2

Fix: ADDED FILES:
 files/patch-scripts::ltmain.sh

Also, chase panelmm version in x11/gnome/Makefile (panelmm.0 -> panelmm.1)



ADDED FILE: files/patch-scripts::ltmain.sh

--- scripts/ltmain.sh	2001/08/27 09:51:26	1.1
+++ scripts/ltmain.sh	2001/08/27 09:51:42
@@ -2408,6 +2408,9 @@
 	  *-*-netbsd*)
 	    # Don't link with libc until the a.out ld.so is fixed.
 	    ;;
+	  *-*-freebsd*)
+	    # FreeBSD doesn't need this...
+	    ;;
 	  *)
 	    # Add libc to deplibs on all other systems if necessary.
 	    if test "$build_libtool_need_lc" = "yes"; then
@@ -4175,10 +4178,12 @@
 	fi
 
 	# Install the pseudo-library for information purposes.
+	if /usr/bin/false; then
 	name=`$echo "X$file" | $Xsed -e 's%^.*/%%'`
 	instname="$dir/$name"i
 	$show "$install_prog $instname $destdir/$name"
 	$run eval "$install_prog $instname $destdir/$name" || exit $?
+	fi
 
 	# Maybe install the static library, too.
 	test -n "$old_library" && staticlibs="$staticlibs $dir/$old_library"--mUh9SwxZ3ghfiNjF3KdyAnJ6cwJ24krcl6yzNA96DyxVyVGm
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- Makefile.orig	Thu Jan 31 13:17:59 2002
+++ Makefile	Thu Jan 31 13:09:16 2002
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	panelmm
-PORTVERSION=	0.1
+PORTVERSION=	0.2
 CATEGORIES=	x11-toolkits gnome
 MASTER_SITES=	${MASTER_SITE_GNOME}
 MASTER_SITE_SUBDIR=	stable/sources/panelmm
@@ -18,8 +18,7 @@
 USE_X_PREFIX=	yes
 USE_GMAKE=	yes
 USE_GNOME=	yes
-USE_LIBTOOL=	yes
-LIBTOOLFLAGS=	--disable-ltlibs --release-ignore
+GNU_CONFIGURE=	yes
 INSTALLS_SHLIB=	yes
 CONFIGURE_ARGS=	--enable-static
Comment 1 Maxim Sobolev freebsd_committer 2002-02-01 11:29:54 UTC
State Changed
From-To: open->closed

Update committed, thank you!